/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorTranslateXliffByPleiadesProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorTranslateXliffByPleiadesProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている入力／出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     */
    private String fXliffdir;

    /**
     * フィールド [tmpdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [tmp]<br>
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     */
    private String fTmpdir = "tmp";

    /**
     * フィールド [settarget]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * trans-unit の target について、値をセットするかどうか。
     */
    private boolean fSettarget = false;

    /**
     * フィールド [settargetoverwrite]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物を強制的に上書きする場合においてのみセットされます。
     */
    private boolean fSettargetoverwrite = false;

    /**
     * フィールド [setalttrans]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * alt-trans をセットするかどうか。
     */
    private boolean fSetalttrans = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている入力／出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている入力／出力先ルート・フォルダを指定します。XLIFFファイルは Bundle-SymbolicName ディレクトリ内に格納されることを前提とします。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [tmpdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     *
     * @param argTmpdir フィールド[tmpdir]に格納したい値
     */
    public void setTmpdir(final String argTmpdir) {
        fTmpdir = argTmpdir;
    }

    /**
     * フィールド[tmpdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [tmp]<br>
     * テンポラリディレクトリを指定します。無指定の場合にはカレント直下のtmpを用います。
     *
     * @return フィールド[tmpdir]に格納されている値
     */
    public String getTmpdir() {
        return fTmpdir;
    }

    /**
     * フィールド [settarget]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * trans-unit の target について、値をセットするかどうか。
     *
     * @param argSettarget フィールド[settarget]に格納したい値
     */
    public void setSettarget(final boolean argSettarget) {
        fSettarget = argSettarget;
    }

    /**
     * フィールド[settarget]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * trans-unit の target について、値をセットするかどうか。
     *
     * @return フィールド[settarget]に格納されている値
     */
    public boolean getSettarget() {
        return fSettarget;
    }

    /**
     * フィールド [settargetoverwrite]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物を強制的に上書きする場合においてのみセットされます。
     *
     * @param argSettargetoverwrite フィールド[settargetoverwrite]に格納したい値
     */
    public void setSettargetoverwrite(final boolean argSettargetoverwrite) {
        fSettargetoverwrite = argSettargetoverwrite;
    }

    /**
     * フィールド[settargetoverwrite]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * trans-unit の target について、存在の有無にかかわらず値をセットするかどうか。翻訳物を強制的に上書きする場合においてのみセットされます。
     *
     * @return フィールド[settargetoverwrite]に格納されている値
     */
    public boolean getSettargetoverwrite() {
        return fSettargetoverwrite;
    }

    /**
     * フィールド [setalttrans]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * alt-trans をセットするかどうか。
     *
     * @param argSetalttrans フィールド[setalttrans]に格納したい値
     */
    public void setSetalttrans(final boolean argSetalttrans) {
        fSetalttrans = argSetalttrans;
    }

    /**
     * フィールド[setalttrans]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * alt-trans をセットするかどうか。
     *
     * @return フィールド[setalttrans]に格納されている値
     */
    public boolean getSetalttrans() {
        return fSetalttrans;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorTranslateXliffByPleiadesProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",tmpdir=" + fTmpdir);
        buf.append(",settarget=" + fSettarget);
        buf.append(",settargetoverwrite=" + fSettargetoverwrite);
        buf.append(",setalttrans=" + fSetalttrans);
        buf.append("]");
        return buf.toString();
    }
}
